org.keycloak.representations.adapters.action

## Class PushNotBeforeAction

- java.lang.Object
- - org.keycloak.representations.adapters.action.AdminAction
  - - org.keycloak.representations.adapters.action.PushNotBeforeAction

-     public class PushNotBeforeAction
      extends AdminAction

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `notBefore`
    `static String` | `PUSH_NOT_BEFORE`

    - ### Fields inherited from class org.keycloak.representations.adapters.action.AdminAction

      `action, expiration, id, resource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PushNotBeforeAction()`
    `PushNotBeforeAction(String id, int expiration, String resource, int notBefore)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNotBefore()`
    `void` | `setNotBefore(int notBefore)`
    `boolean` | `validate()`

    - ### Methods inherited from class org.keycloak.representations.adapters.action.AdminAction

      `getAction, getExpiration, getId, getResource, isExpired, setAction, setExpiration, setId, setResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PUSH_NOT_BEFORE

          public static final String PUSH_NOT_BEFORE

      See Also:
        Constant Field Values

    - #### notBefore

          protected int notBefore

  - ### Constructor Detail

    - #### PushNotBeforeAction

          public PushNotBeforeAction()

    - #### PushNotBeforeAction

          public PushNotBeforeAction(String id,
                                     int expiration,
                                     String resource,
                                     int notBefore)

  - ### Method Detail

    - #### getNotBefore

          public int getNotBefore()

    - #### setNotBefore

          public void setNotBefore(int notBefore)

    - #### validate

          public boolean validate()

      Specified by:
        `validate` in class `AdminAction`

Copyright © 2016 JBoss by Red Hat. All rights reserved.